com.holonplatform.vaadin.flow.components.builders

## Interface HasTitleConfigurator<C extends HasTitleConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    ButtonBuilder, ButtonConfigurator<C>, ButtonConfigurator.BaseButtonConfigurator, HtmlComponentConfigurator<C>, LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>, LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NativeButtonBuilder, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, PasswordInputBuilder, PasswordInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringInputBuilder, ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>, ViewComponentConfigurator<T,C>

      public interface HasTitleConfigurator<C extends HasTitleConfigurator<C>>

  Configurator for components which supports a title.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default C` | `description(com.holonplatform.core.i18n.Localizable description)` Sets the description text using a `Localizable` message.
    `default C` | `description(String description)` Sets the description text.
    `default C` | `description(String defaultDescription, String messageCode, Object... arguments)` Sets the description using a localizable `messageCode`.
    `C` | `title(com.holonplatform.core.i18n.Localizable title)` Sets the title text using a `Localizable` message.
    `default C` | `title(String title)` Sets the title text.
    `default C` | `title(String defaultTitle, String messageCode, Object... arguments)` Sets the title text using a localizable `messageCode`.

- - ### Method Detail

    - #### title

          C title(com.holonplatform.core.i18n.Localizable title)

      Sets the title text using a `Localizable` message.

      Browsers typically use the title to show a tooltip when hovering an element

      HTML markup is not supported.

      A `null` value will remove the title.

      Parameters:
        `title` - Localizable title message (may be null)
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### title

          default C title(String title)

      Sets the title text.

      Browsers typically use the title to show a tooltip when hovering an element

      HTML markup is not supported.

      A `null` value will remove the title.

      Parameters:
        `title` - The title to set (may be null)
      Returns:
        this

    - #### title

          default C title(String defaultTitle,
                          String messageCode,
                          Object... arguments)

      Sets the title text using a localizable `messageCode`.

      Browsers typically use the title to show a tooltip when hovering an element

      HTML markup is not supported.

      Parameters:
        `defaultTitle` - Default title if no translation is available for given `messageCode`
        `messageCode` - Title translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### description

          default C description(com.holonplatform.core.i18n.Localizable description)

      Sets the description text using a `Localizable` message.

      The description is set using the `title` attribute. Browsers typically use the title to show a tooltip when hovering an element

      HTML markup is not supported.

      A `null` value will remove the description.

      Parameters:
        `description` - Localizable description message (may be null)
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### description

          default C description(String description)

      Sets the description text. This is an alias for `title(String)`.

      The description is set using the `title` attribute. Browsers typically use the title to show a tooltip when hovering an element

      HTML markup is not supported.

      A `null` value will remove the title.

      Parameters:
        `description` - The description to set (may be null)
      Returns:
        this

    - #### description

          default C description(String defaultDescription,
                                String messageCode,
                                Object... arguments)

      Sets the description using a localizable `messageCode`.

      The description is set using the `title` attribute. Browsers typically use the title to show a tooltip when hovering an element

      HTML markup is not supported.

      Parameters:
        `defaultDescription` - Default description if no translation is available for given `messageCode`
        `messageCode` - Description translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

Copyright © 2019 The Holon Platform. All rights reserved.